Bug 163941 - ftp/proftpd compile failure with mod_shaper
Summary: ftp/proftpd compile failure with mod_shaper
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-09 06:20 UTC by Matt Pounsett
Modified: 2012-01-13 20:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Pounsett 2012-01-09 06:20:09 UTC
proftpd port fails to compile at mod_shaper.  This problem is not described in UPDATING, and I can't find any open PR related to this problem.  ports tree was updated five minutes ago using portsnap.  proftpd was attempted to be built using 'portupgrade -r proftpd'


cc -I/usr/local/include -DHAVE_CONFIG_H  -DFREEBSD8_2 -DFREEBSD8 -I.. -I../include -I/usr/local/include -I/usr/local/include -I/usr/local/include -I/usr/local/include -I/include -O2 -pipe -DHAVE_OPENSSL -I/usr/local/include -fno-strict-aliasing -Wall -c mod_shaper.c
mod_shaper.c:49:3: error: #error "Controls support required (use --enable-ctrls)"
mod_shaper.c:57: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'shaper_acttab'
mod_shaper.c: In function 'shaper_handle_shaper':
mod_shaper.c:1639: warning: implicit declaration of function 'pr_ctrls_check_acl'
mod_shaper.c:1639: error: 'shaper_acttab' undeclared (first use in this function)
mod_shaper.c:1639: error: (Each undeclared identifier is reported only once
mod_shaper.c:1639: error: for each function it appears in.)
mod_shaper.c: In function 'set_shaperctrlsacls':
mod_shaper.c:1790: warning: implicit declaration of function 'pr_ctrls_parse_acl'
mod_shaper.c:1790: warning: assignment makes pointer from integer without a cast
mod_shaper.c:1802: warning: implicit declaration of function 'pr_ctrls_set_module_acls'
mod_shaper.c:1802: error: 'shaper_acttab' undeclared (first use in this function)
mod_shaper.c:1803: warning: assignment makes pointer from integer without a cast
mod_shaper.c: In function 'shaper_restart_ev':
mod_shaper.c:2182: error: 'shaper_acttab' undeclared (first use in this function)
mod_shaper.c:2183: error: 'ctrls_acl_t' undeclared (first use in this function)
mod_shaper.c:2184: warning: implicit declaration of function 'pr_ctrls_init_acl'
mod_shaper.c: In function 'shaper_init':
mod_shaper.c:2245: error: 'shaper_acttab' undeclared (first use in this function)
mod_shaper.c:2246: error: 'ctrls_acl_t' undeclared (first use in this function)
mod_shaper.c: At top level:
mod_shaper.c:2275: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'shaper_acttab'
gmake[1]: *** [mod_shaper.o] Error 1
gmake[1]: Leaving directory `/usr/ports/ftp/proftpd/work/proftpd-1.3.3g/modules'
gmake: *** [modules] Error 2
*** Error code 1

Stop in /usr/ports/ftp/proftpd.
*** Error code 1

Stop in /usr/ports/ftp/proftpd.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20120109-84050-1dcetky-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=proftpd-1.3.3e UPGRADE_PORT_VER=1.3.3e make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
	! ftp/proftpd (proftpd-1.3.3e)	(compiler error)

How-To-Repeat: > cat /var/db/ports/proftpd/options 
# This file is auto-generated by 'make config'.
# No user-servicable parts inside!
# Options for proftpd-1.3.3g_2
_OPTIONS_READ=proftpd-1.3.3g_2
WITHOUT_BAN=true
WITHOUT_CLAMAV=true
WITHOUT_CTRLS=true
WITHOUT_DYNMASQ=true
WITHOUT_EXEC=true
WITHOUT_HTMLDOCS=true
WITH_IFSESSION=true
WITH_IPV6=true
WITHOUT_LDAP=true
WITHOUT_LDAP_TLS=true
WITHOUT_MYSQL=true
WITH_NLS=true
WITHOUT_ODBC=true
WITH_OPENSSL=true
WITH_PGSQL=true
WITH_QUOTA=true
WITHOUT_QUOTATAB_RADIUS=true
WITH_SHAPER=true
WITHOUT_SQLITE=true
WITH_RADIUS=true
WITH_RATIO=true
WITH_README=true
WITH_REWRITE=true
WITHOUT_TLS_SHMCACHE=true
WITHOUT_TDS=true
WITH_SFTP=true
WITH_SFTP_SQL=true
WITHOUT_SFTP_PAM=true
WITHOUT_SITE_MISC=true
WITH_SQL_PASSWD=true
WITHOUT_UNIQUE=true
WITH_WRAP=true
WITHOUT_WRAP_FILE=true
WITHOUT_WRAP_SQL=true


> cat /etc/make.conf
MAKEFLAGS="-j5"
WITHOUT_X11="yes"
# added by use.perl 2011-07-01 13:20:49
PERL_VERSION=5.12.3
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-01-09 19:37:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Fix synopsis and assign. 

Perhaps this is realted to the src changes that had to be made in the wake 
of http://security.freebsd.org/advisories/FreeBSD-SA-11:07.chroot.asc ?
Comment 2 dfilter service freebsd_committer 2012-01-13 20:18:49 UTC
mm          2012-01-13 20:18:39 UTC

  FreeBSD ports repository

  Modified files:
    ftp/proftpd          Makefile 
  Added files:
    ftp/proftpd/files    extra-patch-7-src-fsio.c 
                         extra-patch-8-src-fsio.c 
  Removed files:
    ftp/proftpd/files    patch-src-fsio.c 
  Log:
  Allow build on patched FreeBSD 7.x (FreeBSD-SA-11:07.chroot)
  WITH_SHAPER requires WITH_CTRLS [1]
  
  PR:             ports/163941 [1]
  Reported by:    Matthew Pounsett <matt@conundrum.com> [1]
  
  Revision  Changes    Path
  1.199     +18 -3     ports/ftp/proftpd/Makefile
  1.1       +19 -0     ports/ftp/proftpd/files/extra-patch-7-src-fsio.c (new)
  1.1       +44 -0     ports/ftp/proftpd/files/extra-patch-8-src-fsio.c (new)
  1.3       +0 -44     ports/ftp/proftpd/files/patch-src-fsio.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2012-01-13 20:24:25 UTC
State Changed
From-To: open->closed

Resolved. Thanks!